﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using DropDownList_Angular_Razor_Core.Models;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace DropDownList_Angular_Razor_Core.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public void OnGet()
        {
        }

        [ValidateAntiForgeryToken]
        public JsonResult OnPostGetCustomers()
        {
            List<SelectListItem> customers = (from customer in this.Context.Customers.Take(10)
                                              select new SelectListItem
                                              {
                                                  Value = customer.CustomerID,
                                                  Text = customer.ContactName
                                              }).ToList();
            return new JsonResult(customers);
        }
    }
}